콘텐츠로 건너뛰기

Hi3D 3D Part Splitter

통합

모델 id hitem3d/hi3d/split
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/hitem3d/hi3d/split?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "mesh_url": "https://example.com/your-file.glb"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청: ≈$0.40 400 API 크레딧 이 페이지에서 실행

API 키 받기
Hitem3D 3D #3d-to-3d

휴머노이드 템플릿과 관절 또는 일반 세분화를 지원해 3D 모델을 개별 파트로 분할

Hitem3D · 3D

첫 번째 결과가 여기에 표시됩니다

아래에서 요청을 작성하고 API 키로 실행하세요. 출력은 스토리지에 복사되며, 영구 보관하거나 7일 동안 무료로 보관할 수 있습니다.

요청 만들기

컨트롤은 모델 스키마에서 생성됩니다. 값을 변경하면 코드와 가격이 업데이트됩니다.

•필수

최대 200 MB의 GLB, STL 또는 OBJ 파일을 가리키는 URL로 분할할 모델을 제공합니다.

고급 model · part · joint · level · export_format · enable_safety_checker
model 기본값 character

모델 분할 방식입니다. 모든 모델의 세분성 기반 분할에는 'general'을, 템플릿 기반 휴머노이드 분할에는 'character'를 사용하며 후자는 선택적 관절을 허용합니다.

part 기본값 a

모델이 'character'일 때의 분할 템플릿입니다. 'a'는 6개, 'b'는 5개, 'c'는 머리 없이 4개, 'd'는 머리를 포함해 4개, 'e'는 3개, 'f'는 2개 파트를 생성합니다.

joint 기본값 ball

모델이 'character'일 때 파트 사이에 삽입할 관절 유형입니다.

level 기본값 medium

모델이 'general'일 때 분할 세분성입니다.

export_format 기본값 glb

생성된 모델의 출력 형식입니다. 현재 캐릭터 분할을 사용할 때는 'glb'로 제한됩니다.

POST /run/hitem3d/hi3d/split?wait=20 견적 → $0.40
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/hitem3d/hi3d/split?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "mesh_url": "https://example.com/your-file.glb"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청 실행

키는 이 브라우저에 유지됩니다. Doitong API로만 전송되며, 기억하기를 선택한 경우에만 localStorage에 저장됩니다. API 키 받기

Hi3D 3D Part Splitter 정보

모델(GLB, STL 또는 OBJ, 최대 200MB)을 여러 파트로 나눕니다. 캐릭터 모드에서는 템플릿 a~f로 6개에서 2개까지 파트 수를 지정할 수 있으며, 파트 사이에 ball 또는 dovetail 조인트를 추가할 수 있습니다. 일반 모드에서는 `level`로 낮음, 중간 또는 높음 세분화 수준을 설정합니다. 캐릭터 분할은 현재 glb만 내보냅니다.

매개변수

이름유형 기본값허용됨 설명
mesh_url필수
유형string
최대 200 MB의 GLB, STL 또는 OBJ 파일을 가리키는 URL로 분할할 모델을 제공합니다.
model선택 사항
유형enum
기본값character
charactergeneral
모델 분할 방식입니다. 모든 모델의 세분성 기반 분할에는 'general'을, 템플릿 기반 휴머노이드 분할에는 'character'를 사용하며 후자는 선택적 관절을 허용합니다.
part선택 사항
유형enum
기본값a
abcdef
모델이 'character'일 때의 분할 템플릿입니다. 'a'는 6개, 'b'는 5개, 'c'는 머리 없이 4개, 'd'는 머리를 포함해 4개, 'e'는 3개, 'f'는 2개 파트를 생성합니다.
joint선택 사항
유형enum
기본값ball
noneballdovetail
모델이 'character'일 때 파트 사이에 삽입할 관절 유형입니다.
level선택 사항
유형enum
기본값medium
lowmediumhigh
모델이 'general'일 때 분할 세분성입니다.
export_format선택 사항
유형enum
기본값glb
glbobjstlfbxusdz
생성된 모델의 출력 형식입니다. 현재 캐릭터 분할을 사용할 때는 'glb'로 제한됩니다.
enable_safety_checker선택 사항
유형boolean
기본값true
true이면 처리 전에 입력 안전성 검사를 활성화합니다.
필수

출력

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "hitem3d/hi3d/split",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 400,
    "usd": "0.40",
    "charged": 400,
    "refunded": 0
  },
  "input": {
    "mesh_url": "https://example.com/your-file.glb"
  },
  "output": {
    "model_mesh": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "thumbnail": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
파일 보관 방식 선택모든 outputs[].url은 스토리지에 저장된 복사본입니다. 계정 설정 또는 ?storage=에 따라 영구 보관(GB-월 단위 과금)하거나 7일 동안 무료로 보관합니다.
모든 모델에서 동일한 구조이미지, 동영상, 오디오 모두 type, url, content_type, width, height 및 duration을 사용합니다. output은 모델 자체의 결과 객체입니다.
출력 필드
model_mesh
object {url, content_type, file_name, file_size}생성된 3D 모델이 포함된 파일입니다.
thumbnail
object {url, content_type, file_name, file_size} | null가능한 경우 제공되는 모델 미리보기 이미지입니다.

더 많은 모델: 3D

AI 에이전트용: 이 페이지의 Markdown 버전: https://doitong.com/ko/developers/models/hitem3d/hi3d/split.md. 모든 모델 및 가이드: https://doitong.com/developers/llms.txt